List comments for an entity
curl --request GET \
--url https://api.wirespeed.co/v1/timeline/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wirespeed.co/v1/timeline/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wirespeed.co/v1/timeline/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"authorName": "<string>",
"authorId": "<string>",
"content": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deleted": true,
"attachments": [
{
"id": "<string>",
"filename": "<string>",
"contentType": "<string>",
"size": 123,
"data": "<string>",
"createdAt": "<string>"
}
]
}
]{
"message": "<string>",
"statusCode": 123
}Timeline
List comments for an entity
GET
/
v1
/
timeline
/
comments
List comments for an entity
Authorizations
Team API key sent as a Bearer token. Create a key in Wirespeed under Settings → Team. See https://docs.wirespeed.co/api-reference/authentication.
Query Parameters
Entity ID to query comments for
Type of entity
Available options:
CASE, DETECTION Response
Unique identifier of the comment
Display name of the comment author, falls back to email if user was deleted or name cannot be found
User ID of the comment author, null if user was deleted
Text content of the comment, empty if deleted
Timestamp when the comment was created
Timestamp when the comment was last updated
Whether the comment has been soft-deleted
Image attachments on this comment
Show child attributes
Show child attributes

